<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
<h:head>
    <title>Права доступа</title>
</h:head>
<h:body>
    <f:facet name="last">
        <h:outputStylesheet library="css" name="primefaces-override.css"/>
    </f:facet>
    <h:form>
        <p:outputPanel id="mbankingsmsTableDetail" style="text-align:center;" autoUpdate="true">
            <p:panelGrid columns="4">

                <p:outputLabel for="console1" value="Внешняя система:" />
                <p:selectOneMenu id="console1" height="100"  value="#{trightview.concreetRightView.tRightEntityPK.extSystemCode}"  disabled="true" style="width:125px;">
                    <f:selectItems value="#{trightview.externalSystemList}" var="e" itemLabel="#{e.extId}" itemValue="#{e.extCode}" />
                </p:selectOneMenu>

                <p:outputLabel for="console2" value="Объект:" />
                <p:selectOneMenu id="console2" height="100" value="#{trightview.concreetRightView.tRightEntityPK.objectCode}" requiredMessage="Выберите объект"  panelStyleClass="required-style-selectonemenu-panel" styleClass="required-style-selectonemenu-label" style="width:125px;" required="true">
                    <p:ajax listener="#{trightview.serviceChange()}" update="console" />
                    <f:selectItems value="#{trightview.tReferenceGroupList}" var="t" itemLabel="#{t.object}" itemValue="#{t.objectCode}" />
                </p:selectOneMenu>


                <p:outputLabel for="console" value="Разрешенные действия:" />
                <p:selectOneMenu id="console" value="#{trightview.concreetRightView.action}" requiredMessage="Выберите действия"  panelStyleClass="required-style-selectonemenu-panel" styleClass="required-style-selectonemenu-label"  style="width:125px;"  required="true" >
                    <f:selectItems value="#{trightview.authorizedActionsList}" var="actions" itemLabel="#{actions.description}" itemValue="#{actions.item}" />
                </p:selectOneMenu>

                <h:outputLabel  value="SysDate:" rendered="false"/>
                <h:inputText maxlength="2" value="#{trightview.concreetRightView.updateSysDate}" readonly="false" rendered="false"  />

            </p:panelGrid>
        </p:outputPanel>
        <div>
        <p:separator/>
        <p:commandButton value="Сохранить" ajax="false" actionListener="#{trightview.saveFocusedTright}" styleClass="submitButton" />
        <p:commandButton ajax="false" value="Отменить" action="#{trightview.close}" immediate="true" styleClass="cancelButton"/>
    </div>
    </h:form>
</h:body>
</html>

